Jump to content
  • Hello visitors, welcome to the Hacker World Forum!

    Red Team 1949  (formerly CHT Attack and Defense Team) In this rapidly changing Internet era, we maintain our original intention and create the best community to jointly exchange network technologies. You can obtain hacker attack and defense skills and knowledge in the forum, or you can join our Telegram communication group to discuss and communicate in real time. All kinds of advertisements are prohibited in the forum. Please register as a registered user to check our usage and privacy policy. Thank you for your cooperation.

    TheHackerWorld Official

Recommended Posts

原文链接:windows下安装composer – 每天进步一点点 (longkui.site)

Composer是一个用于PHP标准格式依赖管理的应用程序。Composer 允许您声明PHP项目所依赖的库并为您管理它。它会安装和更新您的项目所需的库。

默认情况下,Composer 不会全局安装任何东西;它基于每个项目管理依赖项,并将它们安装在项目内的目录 ( vendor ) 中。

Composer 为我们的项目提供了两件事:

有助于 PHP 的依赖管理。
帮助在项目中自动加载文件。
Node 的 NPM 和 Ruby 的包为 Composer 提供了强大的动力。

假设一个场景:

您有一个依赖于多个库的 PHP 项目。
其中一些库还依赖于其他库。
Composer 满足上述场景的要求:和 JVM 的区别

它允许您声明项目所依赖的库。
它找出您需要在项目中安装哪些版本的软件包,并为您下载和安装。
它还允许在单个命令中更新所有依赖项。
安装 Composer 的系统要求:
Composer 需要在机器上安装并成功运行PHP 5.3.2+。它还需要一些敏感的 PHP 设置和编译标志。从源代码而不是 zip 存档安装 Composer 包,您将需要基于包版本控制的 git、svn、fossil 或 hg。Composer 是一种多平台工具,可在Windows 操作系统、Linux和 macOS上同等运行。

本文没有借助phpstudy来安装composer。因为下载失败了。

1.windows下安装composer

我们打开composer的官网:Composer (getcomposer.org)

然后点击下面的“Download”

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050404.png

然后参考下面的图片点击下载:

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050405.png

下载完毕后进入安装界面:

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050406.png

然后需要填写你php的路径,最好把php加到环境变量里面,这样就可以在全局的cmd中显示php和composer了

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050407.png

下面这个代理没有的话可以不用填写

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050408.png

然后进入安装界面:

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050409.png

然后回出现两条警告信息:

“The windows OneDrive folder is not supporter on PHP versions below 7.2.23 and 7.3.10. Upgrade your PHP(7.3.4) to use this location with Composer”

(php版本要7.3.4及以上)

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050410.pnghttp://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050411.png

然后出现了这个难看的人物,表示安装完毕:

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050412.png

最后,我们验证一下安装是否成功,打开cmd。输入composer。如果出现以下界面表示安装成功

http://kongkui.oss-cn-qingdao.aliyuncs.com/images/2022050413.png
Link to post
Link to comment
Share on other sites

 Share

discussion group

discussion group

    You don't have permission to chat.
    • Recently Browsing   0 members

      • No registered users viewing this page.
    ×
    ×
    • Create New...